View Issue Details

IDProjectCategoryView StatusLast Update
0026981Open CASCADEOCCT:Application Frameworkpublic2021-12-13 14:59
ReporteribsAssigned Tosmoskvin  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
PlatformAOSL 
Product Version7.1.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0026981: Application Framework - read a BinOcaf document from С++ stream sequentially
DescriptionThe last implementation of reading of BinOcaf document uses SEEK functionality. There is the need to read the document sequentially, without using of seek.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Activities

git

2015-12-11 14:59

administrator   ~0049038

Branch CR26981 has been created by ibs.

SHA-1: 3d1e523c002b35ba4eaa026f91068a57aab60b60


Detailed log of new commits:

Author: ibs
Date: Thu Dec 3 14:19:32 2015 +0300

ibs

2015-12-11 15:05

developer   ~0049041

Last edited: 2015-12-11 15:13

test "bugs caf bug1454" consumes up to 8gb RAM during reading of 80 000 sub-labels due to allocation of a personal BinObjMgt_Persistent for each document label to maintain consequential reading.

git

2015-12-11 15:28

administrator   ~0049049

Branch CR26981 has been updated forcibly by ibs.

SHA-1: d6a90c1e07431f9d74934e3149dc3efbb1daea40

git

2015-12-14 10:58

administrator   ~0049079

Branch CR26981 has been updated forcibly by ibs.

SHA-1: 12ae1d238e88524d9fea7c299e4c84e1db5b3a62

git

2021-08-31 15:36

administrator   ~0103584

Branch CR26981_1 has been updated forcibly by mpv.

SHA-1: 1d26d05ac9a933444b6da8e8f965c9d0dd64b601

mpv

2021-08-31 18:26

developer   ~0103589

OCCT - CR26981_1
PRODUCTS - master

The current version of the document supports partial reading. So, as a result, the shapes section is dispersed into attributes and it becomes easy avoid any seekg call during the reading.
But this will work only in case whole document is opened. For partial reading seekg functions will be naturally called.

mpv

2021-08-31 18:26

developer   ~0103590

http://jenkins-test-occt.nnov.opencascade.com/job/CR26981_1-master-MPV-OCCT-Windows-64-VC14-opt-test-compare/2/
http://jenkins-test-occt.nnov.opencascade.com/job/CR26981_1-master-MPV-Products-Windows-64-VC14-opt-test-compare/2/
http://jenkins-test-occt.nnov.opencascade.com/job/CR26981_1-master-MPV-OCCT-Debian80-64-opt-test-compare/2/

smoskvin

2021-10-23 16:59

administrator   ~0104811

Combination -
OCCT branch : IR-2021-10-22
master SHA - 5b756182c269a3d4fc19b82fe8527f0fcabf5c57
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-22 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17750.01000000046 / 17700.080000000395 [+0.28%]
Products
Total CPU difference: 11624.980000000118 / 11665.940000000111 [-0.35%]
Windows-64-VC14:
OCCT
---
Products
---


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105849

Branch CR26981_1 has been deleted by kgv.

SHA-1: 1d26d05ac9a933444b6da8e8f965c9d0dd64b601

git

2021-12-13 14:59

administrator   ~0105895

Branch CR26981 has been deleted by kgv.

SHA-1: 12ae1d238e88524d9fea7c299e4c84e1db5b3a62

Related Changesets

occt: master 7e63845c

2021-08-31 11:46:23

mpv


Committer: smoskvin Details Diff
0026981: Application Framework - read a BinOcaf document from С++ stream sequentially

The current version of the document supports partial reading. So, as a result, the shapes section is dispersed into attributes and it becomes easy avoid any seekg call during the reading.
But this will work only in case whole document is opened. For partial reading seekg functions could be naturally called.
Affected Issues
0026981
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff File

Issue History

Date Modified Username Field Change
2015-12-11 14:10 ibs New Issue
2015-12-11 14:10 ibs Assigned To => ibs
2015-12-11 14:59 git Note Added: 0049038
2015-12-11 15:05 ibs Note Added: 0049041
2015-12-11 15:13 ibs Note Edited: 0049041
2015-12-11 15:14 ibs Assigned To ibs => abv
2015-12-11 15:14 ibs Status new => feedback
2015-12-11 15:28 git Note Added: 0049049
2015-12-11 17:52 ibs Assigned To abv => ibs
2015-12-11 17:53 ibs Status feedback => assigned
2015-12-14 10:58 git Note Added: 0049079
2015-12-15 19:19 abv Product Version 7.0.0 => 7.1.0
2015-12-15 19:19 abv Summary OCAF - read a BinOcaf document from С++ stream consequentially => OCAF - read a BinOcaf document from С++ stream sequentially
2015-12-15 19:19 abv Description Updated
2021-08-24 01:27 kgv Assigned To ibs => mpv
2021-08-24 01:27 kgv Summary OCAF - read a BinOcaf document from С++ stream sequentially => Application Framework - read a BinOcaf document from С++ stream sequentially
2021-08-31 15:36 git Note Added: 0103584
2021-08-31 18:26 mpv Note Added: 0103589
2021-08-31 18:26 mpv Assigned To mpv => szy
2021-08-31 18:26 mpv Status assigned => resolved
2021-08-31 18:26 mpv Steps to Reproduce Updated
2021-08-31 18:26 mpv Note Added: 0103590
2021-10-18 11:13 kgv Target Version Unscheduled => 7.6.0
2021-10-19 09:26 szy Assigned To szy => bugmaster
2021-10-19 09:26 szy Status resolved => reviewed
2021-10-23 16:59 smoskvin Note Added: 0104811
2021-10-23 16:59 smoskvin Status reviewed => tested
2021-10-23 17:02 smoskvin Test case number => Not required
2021-10-23 20:49 smoskvin Changeset attached => occt master 7e63845c
2021-10-23 20:49 smoskvin Assigned To bugmaster => smoskvin
2021-10-23 20:49 smoskvin Status tested => verified
2021-10-23 20:49 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105849
2021-12-13 14:59 git Note Added: 0105895